<?php
$file = file_get_contents("selenium.log");
preg_match_all('~(?:^|\n)([0-9]{2}:[0-9]{2}:[0-9]{2})\\.([0-9]{3}) (.+) \[(.+)\] (.+) - (.*)(?=\n[0-9]{2}:[0-9]{2}:[0-9]{2}\\.[0-9]{3} |$)~sU', $file, $matches, PREG_SET_ORDER);
$total = null;
$start = array();
foreach ($matches as $match) {
	//~ print_r($match);
	if (preg_match('~\nGET .*/selenium-server/tests/([^.]+)~', $match[6], $url)) {
		if (isset($total)) {
			$time = strtotime($match[1]) - strtotime($start[1]) + ($match[2] - $start[2]) / 1000;
			printf("%s: %0.3f\n", $start[7], $time);
			$total += $time;
		} elseif ($start) {
			$total = 0;
		}
		$start = $match;
		$start[7] = $url[1];
	}
}
printf("%0.3f\n", $total);
